// python wrapper for vtkVectorFieldTopology
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkVectorFieldTopology.h"

#if defined(PYTHON_PACKAGE)
#define PYTHON_PACKAGE_SCOPE PYTHON_PACKAGE "."
#else
#define PYTHON_PACKAGE_SCOPE
#endif

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkVectorFieldTopology(PyObject *dict); }
extern "C" { PyObject *PyvtkVectorFieldTopology_ClassNew(); }

#ifndef DECLARED_PyvtkPolyDataAlgorithm_ClassNew
extern "C" { PyObject *PyvtkPolyDataAlgorithm_ClassNew(); }
#define DECLARED_PyvtkPolyDataAlgorithm_ClassNew
#endif

static const char *PyvtkVectorFieldTopology_Doc =
  "vtkVectorFieldTopology - Extract the topological skeleton as output\ndatasets\n\n"
  "Superclass: vtkPolyDataAlgorithm\n\n"
  "vtkVectorFieldTopology is a filter that extracts the critical points\n"
  "and the 1D separatrices (lines) If the data is 3D and the user\n"
  "enables ComputeSurfaces, also the 2D separatrices are computed\n"
  "(surfaces)\n\n"
  "@par Thanks: Developed by Roxana Bujack and Karen Tsai at Los Alamos\n"
  "National Laboratory under LDRD 20190143ER\n\n";


static PyObject *
PyvtkVectorFieldTopology_IsTypeOf(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkVectorFieldTopology::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkVectorFieldTopology::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_SafeDownCast(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkVectorFieldTopology *tempr = vtkVectorFieldTopology::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkVectorFieldTopology *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkVectorFieldTopology::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(nullptr);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_GetNumberOfGenerationsFromBaseType(PyObject * /*unused*/, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfGenerationsFromBaseType");

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    long long tempr = vtkVectorFieldTopology::GetNumberOfGenerationsFromBaseType(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_GetNumberOfGenerationsFromBase(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfGenerationsFromBase");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  const char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    long long tempr = (ap.IsBound() ?
      op->GetNumberOfGenerationsFromBase(temp0) :
      op->vtkVectorFieldTopology::GetNumberOfGenerationsFromBase(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_SetIntegrationStepUnit(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIntegrationStepUnit");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetIntegrationStepUnit(temp0);
    }
    else
    {
      op->vtkVectorFieldTopology::SetIntegrationStepUnit(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_GetIntegrationStepUnit(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIntegrationStepUnit");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetIntegrationStepUnit() :
      op->vtkVectorFieldTopology::GetIntegrationStepUnit());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_SetMaxNumSteps(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaxNumSteps");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetMaxNumSteps(temp0);
    }
    else
    {
      op->vtkVectorFieldTopology::SetMaxNumSteps(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_GetMaxNumSteps(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaxNumSteps");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    int tempr = (ap.IsBound() ?
      op->GetMaxNumSteps() :
      op->vtkVectorFieldTopology::GetMaxNumSteps());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_SetIntegrationStepSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIntegrationStepSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetIntegrationStepSize(temp0);
    }
    else
    {
      op->vtkVectorFieldTopology::SetIntegrationStepSize(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_GetIntegrationStepSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIntegrationStepSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetIntegrationStepSize() :
      op->vtkVectorFieldTopology::GetIntegrationStepSize());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_SetSeparatrixDistance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSeparatrixDistance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetSeparatrixDistance(temp0);
    }
    else
    {
      op->vtkVectorFieldTopology::SetSeparatrixDistance(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_GetSeparatrixDistance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSeparatrixDistance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetSeparatrixDistance() :
      op->vtkVectorFieldTopology::GetSeparatrixDistance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_SetUseIterativeSeeding(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseIterativeSeeding");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetUseIterativeSeeding(temp0);
    }
    else
    {
      op->vtkVectorFieldTopology::SetUseIterativeSeeding(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_GetUseIterativeSeeding(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseIterativeSeeding");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetUseIterativeSeeding() :
      op->vtkVectorFieldTopology::GetUseIterativeSeeding());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_SetComputeSurfaces(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetComputeSurfaces");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetComputeSurfaces(temp0);
    }
    else
    {
      op->vtkVectorFieldTopology::SetComputeSurfaces(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_GetComputeSurfaces(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetComputeSurfaces");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetComputeSurfaces() :
      op->vtkVectorFieldTopology::GetComputeSurfaces());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_SetExcludeBoundary(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetExcludeBoundary");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetExcludeBoundary(temp0);
    }
    else
    {
      op->vtkVectorFieldTopology::SetExcludeBoundary(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkVectorFieldTopology_GetExcludeBoundary(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetExcludeBoundary");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkVectorFieldTopology *op = static_cast<vtkVectorFieldTopology *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetExcludeBoundary() :
      op->vtkVectorFieldTopology::GetExcludeBoundary());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkVectorFieldTopology_Methods[] = {
  {"IsTypeOf", PyvtkVectorFieldTopology_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkVectorFieldTopology_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkVectorFieldTopology_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkVectorFieldTopology\nC++: static vtkVectorFieldTopology *SafeDownCast(vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkVectorFieldTopology_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkVectorFieldTopology\nC++: vtkVectorFieldTopology *NewInstance()\n\n"},
  {"GetNumberOfGenerationsFromBaseType", PyvtkVectorFieldTopology_GetNumberOfGenerationsFromBaseType, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBaseType(string) -> int\nC++: static vtkIdType GetNumberOfGenerationsFromBaseType(\n    const char *type)\n\nGiven a the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"GetNumberOfGenerationsFromBase", PyvtkVectorFieldTopology_GetNumberOfGenerationsFromBase, METH_VARARGS,
   "V.GetNumberOfGenerationsFromBase(string) -> int\nC++: vtkIdType GetNumberOfGenerationsFromBase(const char *type)\n    override;\n\nGiven the name of a base class of this class type, return the\ndistance of inheritance between this class type and the named\nclass (how many generations of inheritance are there between this\nclass and the named class). If the named class is not in this\nclass's inheritance tree, return a negative value. Valid\nresponses will always be nonnegative. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SetIntegrationStepUnit", PyvtkVectorFieldTopology_SetIntegrationStepUnit, METH_VARARGS,
   "V.SetIntegrationStepUnit(int)\nC++: virtual void SetIntegrationStepUnit(int _arg)\n\nSpecify a uniform integration step unit for\nMinimumIntegrationStep, InitialIntegrationStep, and\nMaximumIntegrationStep. 1 = LENGTH_UNIT, i.e. all sizes are\nexpresed in coordinate scale or cell scale 2 = CELL_LENGTH_UNIT,\ni.e. all sizes are expresed in cell scale\n"},
  {"GetIntegrationStepUnit", PyvtkVectorFieldTopology_GetIntegrationStepUnit, METH_VARARGS,
   "V.GetIntegrationStepUnit() -> int\nC++: virtual int GetIntegrationStepUnit()\n\nSpecify a uniform integration step unit for\nMinimumIntegrationStep, InitialIntegrationStep, and\nMaximumIntegrationStep. 1 = LENGTH_UNIT, i.e. all sizes are\nexpresed in coordinate scale or cell scale 2 = CELL_LENGTH_UNIT,\ni.e. all sizes are expresed in cell scale\n"},
  {"SetMaxNumSteps", PyvtkVectorFieldTopology_SetMaxNumSteps, METH_VARARGS,
   "V.SetMaxNumSteps(int)\nC++: virtual void SetMaxNumSteps(int _arg)\n\nSpecify/see the maximal number of iterations in this class and in\nvtkStreamTracer\n"},
  {"GetMaxNumSteps", PyvtkVectorFieldTopology_GetMaxNumSteps, METH_VARARGS,
   "V.GetMaxNumSteps() -> int\nC++: virtual int GetMaxNumSteps()\n\nSpecify/see the maximal number of iterations in this class and in\nvtkStreamTracer\n"},
  {"SetIntegrationStepSize", PyvtkVectorFieldTopology_SetIntegrationStepSize, METH_VARARGS,
   "V.SetIntegrationStepSize(float)\nC++: virtual void SetIntegrationStepSize(double _arg)\n\nSpecify the Initial, minimum, and maximum step size used for line\nintegration, expressed in IntegrationStepUnit\n"},
  {"GetIntegrationStepSize", PyvtkVectorFieldTopology_GetIntegrationStepSize, METH_VARARGS,
   "V.GetIntegrationStepSize() -> float\nC++: virtual double GetIntegrationStepSize()\n\nSpecify the Initial, minimum, and maximum step size used for line\nintegration, expressed in IntegrationStepUnit\n"},
  {"SetSeparatrixDistance", PyvtkVectorFieldTopology_SetSeparatrixDistance, METH_VARARGS,
   "V.SetSeparatrixDistance(float)\nC++: virtual void SetSeparatrixDistance(double _arg)\n\nSpecify/see the distance by which the seedpoints of the\nseparatrices are placed away from the saddle expressed in\nIntegrationStepUnit\n"},
  {"GetSeparatrixDistance", PyvtkVectorFieldTopology_GetSeparatrixDistance, METH_VARARGS,
   "V.GetSeparatrixDistance() -> float\nC++: virtual double GetSeparatrixDistance()\n\nSpecify/see the distance by which the seedpoints of the\nseparatrices are placed away from the saddle expressed in\nIntegrationStepUnit\n"},
  {"SetUseIterativeSeeding", PyvtkVectorFieldTopology_SetUseIterativeSeeding, METH_VARARGS,
   "V.SetUseIterativeSeeding(bool)\nC++: virtual void SetUseIterativeSeeding(bool _arg)\n\nSpecify/see if the simple (fast) or iterative (correct) version\nis called\n"},
  {"GetUseIterativeSeeding", PyvtkVectorFieldTopology_GetUseIterativeSeeding, METH_VARARGS,
   "V.GetUseIterativeSeeding() -> bool\nC++: virtual bool GetUseIterativeSeeding()\n\nSpecify/see if the simple (fast) or iterative (correct) version\nis called\n"},
  {"SetComputeSurfaces", PyvtkVectorFieldTopology_SetComputeSurfaces, METH_VARARGS,
   "V.SetComputeSurfaces(bool)\nC++: virtual void SetComputeSurfaces(bool _arg)\n\nSpecify/see if the separatring surfaces (separatrices in 3D) are\ncomputed or not\n"},
  {"GetComputeSurfaces", PyvtkVectorFieldTopology_GetComputeSurfaces, METH_VARARGS,
   "V.GetComputeSurfaces() -> bool\nC++: virtual bool GetComputeSurfaces()\n\nSpecify/see if the separatring surfaces (separatrices in 3D) are\ncomputed or not\n"},
  {"SetExcludeBoundary", PyvtkVectorFieldTopology_SetExcludeBoundary, METH_VARARGS,
   "V.SetExcludeBoundary(bool)\nC++: virtual void SetExcludeBoundary(bool _arg)\n\nSpecify/see if the boundary cells are treated or not\n"},
  {"GetExcludeBoundary", PyvtkVectorFieldTopology_GetExcludeBoundary, METH_VARARGS,
   "V.GetExcludeBoundary() -> bool\nC++: virtual bool GetExcludeBoundary()\n\nSpecify/see if the boundary cells are treated or not\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkVectorFieldTopology_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  PYTHON_PACKAGE_SCOPE "vtkFiltersFlowPaths.vtkVectorFieldTopology", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
#if PY_VERSION_HEX >= 0x03080000
  0, // tp_vectorcall_offset
#else
  nullptr, // tp_print
#endif
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkVectorFieldTopology_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkVectorFieldTopology_StaticNew()
{
  return vtkVectorFieldTopology::New();
}

PyObject *PyvtkVectorFieldTopology_ClassNew()
{
  PyTypeObject *pytype = PyVTKClass_Add(
    &PyvtkVectorFieldTopology_Type, PyvtkVectorFieldTopology_Methods,
    "vtkVectorFieldTopology",
 &PyvtkVectorFieldTopology_StaticNew);

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = vtkPythonUtil::FindClassTypeObject("vtkPolyDataAlgorithm");

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkVectorFieldTopology(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkVectorFieldTopology_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkVectorFieldTopology", o) != 0)
  {
    Py_DECREF(o);
  }

}

