// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef IOSSReader_server_manager_data_h
#define IOSSReader_server_manager_data_h

#include <string.h>
#include <cassert>
#include <algorithm>


// From file /builddir/build/BUILD/ParaView-v5.9.1/Plugins/IOSSReader/IOSSReader.xml
static const char* const IOSSReader_server_managerIOSSReaderInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"sources\">\n"
"    <SourceProxy class=\"vtkIossReader\" label=\"Ioss Reader\" name=\"IossReader\" executive=\"vtkReaderExecutive\" >\n"
"      <StringVectorProperty clean_command=\"ClearFileNames\"\n"
"                            command=\"AddFileName\"\n"
"                            name=\"FileName\"\n"
"                            number_of_elements=\"1\"\n"
"                            panel_visibility=\"never\"\n"
"                            repeat_command=\"1\">\n"
"        <FileListDomain name=\"files\" />\n"
"        <Documentation>This property specifies the file name for the IOSS reader.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty information_only=\"1\" name=\"TimestepValues\" repeatable=\"1\">\n"
"        <TimeStepsInformationHelper />\n"
"      </DoubleVectorProperty>\n"
"\n"
"\n"
"      <StringVectorProperty name=\"EdgeBlockInfo\"\n"
"        command=\"GetEdgeBlockSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"EdgeBlocks\"\n"
"        command=\"GetEdgeBlockSelection\"\n"
"        information_property=\"EdgeBlockInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"EdgeBlockInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the edge blocks to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"edge\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FaceBlockInfo\"\n"
"        command=\"GetFaceBlockSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"FaceBlocks\"\n"
"        command=\"GetFaceBlockSelection\"\n"
"        information_property=\"FaceBlockInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"FaceBlockInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"face\" />\n"
"        </Hints>\n"
"        <Documentation>Select the face blocks to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ElementBlockInfo\"\n"
"        command=\"GetElementBlockSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"ElementBlocks\"\n"
"        command=\"GetElementBlockSelection\"\n"
"        information_property=\"ElementBlockInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"ElementBlockInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"cell\" />\n"
"        </Hints>\n"
"\n"
"        <Documentation>Select the element blocks to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"NodeBlockFieldInfo\"\n"
"        command=\"GetNodeBlockFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"NodeBlockFields\"\n"
"        command=\"GetNodeBlockFieldSelection\"\n"
"        information_property=\"NodeBlockFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"NodeBlockFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the edge blocks fields / arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"point\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"EdgeBlockFieldInfo\"\n"
"        command=\"GetEdgeBlockFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"EdgeBlockFields\"\n"
"        command=\"GetEdgeBlockFieldSelection\"\n"
"        information_property=\"EdgeBlockFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"EdgeBlockFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the edge blocks fields / arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"edge\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FaceBlockFieldInfo\"\n"
"        command=\"GetFaceBlockFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"FaceBlockFields\"\n"
"        command=\"GetFaceBlockFieldSelection\"\n"
"        information_property=\"FaceBlockFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"FaceBlockFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"face\" />\n"
"        </Hints>\n"
"        <Documentation>Select the face blocks fields / arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ElementBlockFieldInfo\"\n"
"        command=\"GetElementBlockFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"ElementBlockFields\"\n"
"        command=\"GetElementBlockFieldSelection\"\n"
"        information_property=\"ElementBlockFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"ElementBlockFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"cell\" />\n"
"        </Hints>\n"
"        <Documentation>Select the element blocks fields / arrays to read.</Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"NodeSetInfo\"\n"
"        command=\"GetNodeSetSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"NodeSets\"\n"
"        command=\"GetNodeSetSelection\"\n"
"        information_property=\"NodeSetInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"NodeSetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the node sets to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"node-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"EdgeSetInfo\"\n"
"        command=\"GetEdgeSetSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"EdgeSets\"\n"
"        command=\"GetEdgeSetSelection\"\n"
"        information_property=\"EdgeSetInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"EdgeSetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the edge sets to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"edge-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FaceSetInfo\"\n"
"        command=\"GetFaceSetSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"FaceSets\"\n"
"        command=\"GetFaceSetSelection\"\n"
"        information_property=\"FaceSetInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"FaceSetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the face sets to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"face-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ElementSetInfo\"\n"
"        command=\"GetElementSetSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"ElementSets\"\n"
"        command=\"GetElementSetSelection\"\n"
"        information_property=\"ElementSetInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"ElementSetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the element sets to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"cell-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SideSetInfo\"\n"
"        command=\"GetSideSetSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"SideSets\"\n"
"        command=\"GetSideSetSelection\"\n"
"        information_property=\"SideSetInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"SideSetInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the side sets to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"side-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"NodeSetFieldInfo\"\n"
"        command=\"GetNodeSetFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"NodeSetFields\"\n"
"        command=\"GetNodeSetFieldSelection\"\n"
"        information_property=\"NodeSetFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"NodeSetFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the node sets fields / arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"node-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"EdgeSetFieldInfo\"\n"
"        command=\"GetEdgeSetFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"EdgeSetFields\"\n"
"        command=\"GetEdgeSetFieldSelection\"\n"
"        information_property=\"EdgeSetFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"EdgeSetFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the edge sets fields / arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"edge-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"FaceSetFieldInfo\"\n"
"        command=\"GetFaceSetFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"FaceSetFields\"\n"
"        command=\"GetFaceSetFieldSelection\"\n"
"        information_property=\"FaceSetFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
;

// From file /builddir/build/BUILD/ParaView-v5.9.1/Plugins/IOSSReader/IOSSReader.xml
static const char* const IOSSReader_server_managerIOSSReaderInterface1 =
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"FaceSetFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the face sets fields / arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"face-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"ElementSetFieldInfo\"\n"
"        command=\"GetElementSetFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"ElementSetFields\"\n"
"        command=\"GetElementSetFieldSelection\"\n"
"        information_property=\"ElementSetFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"ElementSetFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the element sets fields / arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"cell-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <StringVectorProperty name=\"SideSetFieldInfo\"\n"
"        command=\"GetSideSetFieldSelection\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        information_only=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\" />\n"
"\n"
"      <StringVectorProperty name=\"SideSetFields\"\n"
"        command=\"GetSideSetFieldSelection\"\n"
"        information_property=\"SideSetFieldInfo\"\n"
"        number_of_elements_per_command=\"2\"\n"
"        element_types=\"2 0\"\n"
"        repeat_command=\"1\"\n"
"        si_class=\"vtkSIDataArraySelectionProperty\">\n"
"        <ArraySelectionDomain name=\"array_list\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"ArrayList\" name=\"SideSetFieldInfo\" />\n"
"          </RequiredProperties>\n"
"        </ArraySelectionDomain>\n"
"        <Documentation>Select the side sets fields / arrays to read.</Documentation>\n"
"        <Hints>\n"
"          <ArraySelectionWidget icon_type=\"side-set\" />\n"
"        </Hints>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ScanForRelatedFiles\"\n"
"        command=\"SetScanForRelatedFiles\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          This reader can lookup additional related files using pattern matching\n"
"          based on the files provided. This is useful to lookup restarted results,\n"
"          for example. To avoid this behavior, uncheck this property.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetApplyDisplacements\"\n"
"                         default_values=\"1\"\n"
"                         name=\"ApplyDisplacements\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Geometric locations can include displacements. When this\n"
"          option is on, the nodal positions are 'displaced' by the standard\n"
"          exodus displacement vector. If displacements are turned 'off', the user\n"
"          can explicitly add them by applying a warp filter.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"RemoveUnusedPoints\"\n"
"        command=\"SetRemoveUnusedPoints\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          Node related data, including point coordinates, point field data etc. is\n"
"          typically shared between all blocks and sets. By default, the reader will\n"
"          remove unused points for each block or set. To avoid this, set this flag to\n"
"          false.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"GenerateFileId\"\n"
"        command=\"SetGenerateFileId\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"0\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When checked, the reader will add a cell array called 'file_id'\n"
"          indicate which partitioned file the cell came from.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ReadIds\"\n"
"        command=\"SetReadIds\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When checked, the reader will read 'ids' and 'element_side'\n"
"          fields, if available.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ReadGlobalFields\"\n"
"        command=\"SetReadGlobalFields\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When checked, the reader will read quality assurance and\n"
"          information records, if available.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"ReadQAAndInformationRecords\"\n"
"        label=\"Read QA And Information Records\"\n"
"        command=\"SetReadQAAndInformationRecords\"\n"
"        number_of_elements=\"1\"\n"
"        default_values=\"1\"\n"
"        panel_visibility=\"advanced\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>\n"
"          When checked, the reader will read global fields, if available.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <PropertyGroup label=\"Blocks\"\n"
"        name=\"Blocks\"\n"
"        panel_widget=\"ArrayStatus\">\n"
"        <Property name=\"ElementBlocks\" />\n"
"        <Property name=\"EdgeBlocks\" />\n"
"        <Property name=\"FaceBlocks\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Block Arrays\"\n"
"        name=\"BlockArrays\"\n"
"        panel_widget=\"ArrayStatus\">\n"
"        <Property name=\"NodeBlockFields\" />\n"
"        <Property name=\"ElementBlockFields\" />\n"
"        <Property name=\"EdgeBlockFields\" />\n"
"        <Property name=\"FaceBlockFields\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Sets\"\n"
"        name=\"Sets\"\n"
"        panel_widget=\"ArrayStatus\">\n"
"        <Property name=\"NodeSets\" />\n"
"        <Property name=\"EdgeSets\" />\n"
"        <Property name=\"FaceSets\" />\n"
"        <Property name=\"ElementSets\" />\n"
"        <Property name=\"SideSets\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Set Arrays\"\n"
"        name=\"SetArrays\"\n"
"        panel_widget=\"ArrayStatus\">\n"
"        <Property name=\"NodeSetFields\" />\n"
"        <Property name=\"EdgeSetFields\" />\n"
"        <Property name=\"FaceSetFields\" />\n"
"        <Property name=\"ElementSetFields\" />\n"
"        <Property name=\"SideSetFields\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <PropertyGroup label=\"Miscellaneous\">\n"
"        <Property name=\"ScanForRelatedFiles\" />\n"
"        <Property name=\"ApplyDisplacements\" />\n"
"        <Property name=\"RemoveUnusedPoints\" />\n"
"        <Property name=\"GenerateFileId\" />\n"
"        <Property name=\"ReadIds\" />\n"
"        <Property name=\"ReadGlobalFields\" />\n"
"        <Property name=\"ReadQAAndInformationRecords\" />\n"
"      </PropertyGroup>\n"
"\n"
"      <Hints>\n"
"        <ReaderFactory extensions=\"g e h gc ex2 ex2v2 exo gen par exoII exii ex-timeseries frq\"\n"
"                       file_description=\"Ioss Exodus Files\"\n"
"                       filename_patterns=\"*e-s*\" />\n"
"      </Hints>\n"
"    </SourceProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
char* IOSSReader_server_managerIOSSReaderGetInterfaces()
{

  const size_t len0 = strlen(IOSSReader_server_managerIOSSReaderInterface0);
  const size_t len1 = strlen(IOSSReader_server_managerIOSSReaderInterface1);
  size_t len = ( 0
    + len0
    + len1 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(IOSSReader_server_managerIOSSReaderInterface0, IOSSReader_server_managerIOSSReaderInterface0 + len0, res + offset); offset += len0;
  std::copy(IOSSReader_server_managerIOSSReaderInterface1, IOSSReader_server_managerIOSSReaderInterface1 + len1, res + offset); offset += len1;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
